KDE 4.8: make libkactivities-bin@4.8 conflict with kde-runtime@4.7

Bug #921798 reported by Nick Shaforostoff on 2012-01-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kactivities (Ubuntu)
Undecided
Unassigned

Bug Description

installing KDE 4.8 from ppa backports results in the following error:

Unpacking libkactivities-bin (from .../libkactivities-bin_4%3a4.8.0-0ubuntu1~oneiric1~ppa1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libkactivities-bin_4%3a4.8.0-0ubuntu1~oneiric1~ppa1_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/kactivitymanagerd', which is also in package kde-runtime 4:4.7.2-0ubuntu1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

(i could workaround it with dpkg -i --force-all)

Peter Birch (peter-j-birch) wrote :

I am also having this problem.

I have Ubuntu Oneiric, I had kubuntu-desktop 4.7 installed, then did the following

* sudo add-apt-repository ppa:kubuntu-ppa/backports
* sudo apt-get update
* sudo apt-get install kubuntu-desktop

After download, it started to install, but got the same error as above. I'm now stuck in a loop. apt-get -f install fails, apt-get autoclean, etc all fail.

Nick Shaforostoff (shafff) wrote :

run

sudo dpkg --force-all -i /var/cache/apt/archives/libkactivities-bin_4%3a4.8.0-0ubuntu1~oneiric1~ppa1_amd64.deb

Changed in kactivities (Ubuntu):
status: New → Fix Released
affects: kactivities → null
Curtis Hovey (sinzui) on 2012-07-15
no longer affects: null
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers